package Lire::Config::RecordSpec;

use strict;

use base qw/Lire::Config::CompoundSpec/;

use Lire::Config::Dictionary;

=pod

=head1 NAME

Lire::Config::RecordSpec - Specification for a record-like type.

=head1 DESCRIPTION

Lire::Config::TypeSpec object which specifies a record-like parameter.

=cut

sub instance_class {
    return 'Lire::Config::Dictionary';
}

1;
